%define debug_package %{nil}
%if 0%{?el7}
%define dist .el7
%endif

Name:		ffmpegthumbnailer
Version:	2.2.2
Release:	1%{?dist}
Summary:	lightweight video thumbnailer

Group:		Application/Multimedia
License:	GPLv2
URL:        https://github.com/dirkvdb/ffmpegthumbnailer
Source0:    https://github.com/dirkvdb/ffmpegthumbnailer/releases/download/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libpng-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	giflib-devel
BuildRequires:  cmake
BuildRequires:  gcc gcc-c++

BuildRequires:	ffmpeg-devel ffmpeg
Requires:	ffmpeg-devel ffmpeg

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
o decode frames from the video files, so supported videoformats depend on the
configuration flags of ffmpeg.

%package devel
Summary:    FFmpegthumbnailer Libraries.
Group: Development/Languages

%description devel
FFmpegthumbnailer Libraries.

%prep
%setup -q

%build
%{__cmake} . -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
%{__make} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/ffmpegthumbnailer.1*
%{_libdir}/libffmpegthumbnailer.so.*

%files devel
%{_includedir}/libffmpegthumbnailer
%{_libdir}/libffmpegthumbnailer.so
%{_libdir}/pkgconfig/libffmpegthumbnailer.pc

%changelog
* Thu Nov 12 13:40:02 JST 2020 momo-i <webmaster@momo-i.org> - 2.2.2-1
- Update to 2.2.2

* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 2.2.0-1
- Update to 2.2.0

* Thu Feb 18 2016 momo-i <webmaster@momo-i.org> - 2.1.1-1
- Update to 2.1.1

* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 2.1.0-2
- Rebuilt for ffmpeg

* Fri Nov 13 2015 momo-i <webmaster@momo-i.org> - 2.1.0-1
- Update to 2.1.0

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.0.10-6
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.0.10-5
- Rebuilt for fc23

* Fri Jun 12 2015 momo-i <webmaster@momo-i.org> - 2.0.10-4
- Update to 2.0.10

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.0.9-4
- Rebuilt for fc22

* Wed Sep 17 2014 momo-i <webmaster@momo-i.org> - 2.0.9-3
- Update to 2.0.9

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 2.0.8-3
- Update for ffmpeg

* Wed Jul 17 2013 momo-i <webmaster@momo-i.org> 2.0.8-2
- For ffmpeg 2.0

* Fri Sep  2 2011 momo-i <webmaster@momo-i.org> 2.0.7-1
- Initial rpm release.
